<?php

include_once('../Common/Global.php');

class WebcamPage extends Page
{
  var $FullTitle = 'Webová kamera';
  var $ShortTitle = 'Kamera';
  
  function Show()
  {
    global $Config;

    if(file_exists($this->System->Modules['Webcam']->ImageFileName))
    {
      $Output = '<script language="JavaScript">
      var ImageURL = "'.$Config['Web']['RootFolder'].'/webcam/'.$this->System->Modules['Webcam']->ImageFileName.'";

      // Force an immediate image load
      var theTimer = setTimeout("reloadImage()", 1);

      function reloadImage() 
      {
        theDate = new Date();
        var url = ImageURL;
        url += "?dummy=";
        url += theDate.getTime().toString(10);
        // The above dummy cgi-parameter enforce a bypass of the browser image cache.
        // Here we actually load the image
        document.theImage.src = url;

        // Reload the image every defined period
        theTimer = setTimeout("reloadImage()", '.($Config['Web']['WebcamRefresh'] * 1000).');
      }
      </script>';

      $Output .= '<br /><div align="center"><img name="theImage" src="" idth="640" height="480" alt="Webcam image"><br>Poslední aktualizace: '.date('j.n.Y G:i', filemtime($this->System->Modules['Webcam']->ImageFileName)).'<br>Obnovování po '.$Config['Web']['WebcamRefresh'].' sekundách</div><br />';
    } else $Output = '<br />Obrázek nenalezen.<br /><br />';

    $Output .= '<strong>Kamery v okolí:</strong><br />'.
      '<a href="http://www.mestovsetin.cz/vismo/dokumenty2.asp?id_org=18676&id=480245">Webové kamery ve Vsetíně</a><br />';

    return($Output);
  }
}

$System->AddModule(new WebcamPage());
$System->Modules['WebcamPage']->GetOutput();

?>